# Interface AnalyserResult

@ProviderType public interface AnalyserResult
The result returned by the `Analyser`. A result of an analyser run might contain warnings and or errors.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`AnalyserResult.ArtifactReport`
Report about an artifact, for example a bundle.
`static class`
`AnalyserResult.ConfigurationReport`
Report about a configuration
`static class`
`AnalyserResult.ExtensionReport`
Report about an extension
`static class`
`AnalyserResult.GlobalReport`
Report about the feature in general
`static class`
`AnalyserResult.Report<T>`
Base class for a warning or an error.

## Method Summary

Modifier and Type
Method
Description
`List<AnalyserResult.ArtifactReport>`
`getArtifactErrors()`
List of errors for artifact ids.
`List<AnalyserResult.ArtifactReport>`
`getArtifactWarnings()`
List of warnings for artifact ids.
`List<AnalyserResult.ConfigurationReport>`
`getConfigurationErrors()`
List of errors for configurations.
`List<AnalyserResult.ConfigurationReport>`
`getConfigurationWarnings()`
List of warnings for configurations.
`default List<String>`
`getErrors()`
List of errors.
`List<AnalyserResult.ExtensionReport>`
`getExtensionErrors()`
List of errors for extension names.
`List<AnalyserResult.ExtensionReport>`
`getExtensionWarnings()`
List of warnings for extension names.
`FeatureDescriptor`
`getFeatureDescriptor()`
Return the feature descriptor created during scanning
`BundleDescriptor`
`getFrameworkDescriptor()`
Return the framework descriptor created during scanning if available
`List<AnalyserResult.GlobalReport>`
`getGlobalErrors()`
List of global errors.
`List<AnalyserResult.GlobalReport>`
`getGlobalWarnings()`
List of global warnings.
`default List<String>`
`getWarnings()`
List of warnings.

## Method Details

### getWarnings

default List<String> getWarnings()
List of warnings. Warnings can be used to improve the feature. This method returns all warnings, if more detailed information about the warnings is desired, use `getGlobalWarnings()`, `getArtifactWarnings()`, `getExtensionWarnings()`, and `getConfigurationWarnings()` instead.

Returns:
  A list of warnings, might be empty.

### getGlobalWarnings

List<AnalyserResult.GlobalReport> getGlobalWarnings()
List of global warnings. Warnings can be used to improve the feature.

Returns:
  A list of warnings, might be empty.

### getArtifactWarnings

List<AnalyserResult.ArtifactReport> getArtifactWarnings()
List of warnings for artifact ids. Warnings can be used to improve the feature.

Returns:
  A list of warnings, might be empty.

### getExtensionWarnings

List<AnalyserResult.ExtensionReport> getExtensionWarnings()
List of warnings for extension names. Warnings can be used to improve the feature.

Returns:
  A list of warnings, might be empty.

### getConfigurationWarnings

List<AnalyserResult.ConfigurationReport> getConfigurationWarnings()
List of warnings for configurations. Warnings can be used to improve the feature.

Returns:
  A list of warnings, might be empty.
Since:
  1.4.0

### getErrors

default List<String> getErrors()
List of errors. Errors should be fixed in the feature This method returns all errors, if more detailed information about the errors is desired, use `getGlobalErrors()`, `getArtifactErrors()`, `()`, and `getConfigurationErrors()` instead.

Returns:
  A list of errors, might be empty.

### getGlobalErrors

List<AnalyserResult.GlobalReport> getGlobalErrors()
List of global errors. Errors should be fixed in the feature

Returns:
  A list of error,s might be empty

### getArtifactErrors

List<AnalyserResult.ArtifactReport> getArtifactErrors()
List of errors for artifact ids. Errors should be fixed in the feature.

Returns:
  A list of errors, might be empty

### getExtensionErrors

List<AnalyserResult.ExtensionReport> getExtensionErrors()
List of errors for extension names. Errors should be fixed in the feature

Returns:
  A list of errors, might be empty

### getConfigurationErrors

List<AnalyserResult.ConfigurationReport> getConfigurationErrors()
List of errors for configurations. Errors should be fixed in the feature

Returns:
  A list of errors, might be empty
Since:
  1.4.0

### getFeatureDescriptor

FeatureDescriptor getFeatureDescriptor()
Return the feature descriptor created during scanning

Returns:
  The feature descriptor
Since:
  1.2.0

### getFrameworkDescriptor

BundleDescriptor getFrameworkDescriptor()
Return the framework descriptor created during scanning if available

Returns:
  The framework descriptor or `null`.
Since:
  1.2.0